Spinrun Docs
REST APIAgents

Read one agent document

Read one agent document — Spinrun Build REST API operation.

GET/api/build/agents/{ref}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth access token whose grant carries Build authorization.

In: header

Path Parameters

ref*string

Agent or workflow id or slug.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/build/agents/string"
{  "data": {    "kind": "spinrun.agent/v1",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "slug": "string",    "status": "draft",    "updated_at": "2019-08-24T14:15:22Z",    "name": "string",    "description": "string",    "icon": "string",    "space": {      "team": "string"    },    "folder": "string",    "instructions": "string",    "model": "string",    "max_steps": 1,    "reasoning_effort": "low",    "tools": {      "apps": [        "string"      ],      "connections": "all",      "disabled_tools": [        "string"      ],      "approval": "destructive"    },    "skills": [      "string"    ],    "workspace_skills": [      "string"    ],    "workflows": [      "string"    ],    "schedule": {      "enabled": true,      "cron": "string",      "timezone": "string",      "prompt": "string"    },    "email": {      "enabled": true,      "allowed_senders": [        "string"      ],      "allowed_recipients": [        "string"      ],      "from_name": "string",      "locale": "string"    },    "whatsapp": {      "enabled": true    },    "triggers": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "webhook",        "name": "string",        "prompt": "string",        "enabled": true,        "secret_prefix": "string"      }    ],    "eval_criteria": "string"  }}